//#line "text_lib.c" 24
extern void StartTextMode(void );
//#line "text_lib.c" 61
extern void ShutdownTextMode(void );
//#line "text_lib.c" 82
extern void TurnOffTextCursor(void );
//#line "text_lib.c" 101
extern void TurnOnTextCursor(void );
//#line "text_lib.c" 120
extern void ToggleBlinking(void );
//#line "text_lib.c" 139
extern void LimitXY(int32 *x,int32 *y);
//#line "text_lib.c" 172
extern void TextFrame(int32 x1,int32 y1,int32 x2,int32 y2,int32 type,int32 foreground,int32 background);
//#line "text_lib.c" 245
extern void TextBox(int32 x1,int32 y1,int32 x2,int32 y2,int32 ch,int32 foreground,int32 background);
//#line "text_lib.c" 278
extern void AttributeBox(int32 x1,int32 y1,int32 x2,int32 y2,int32 foreground,int32 background);
//#line "text_lib.c" 310
extern void SaveTextBackground(int32 x,int32 y,int32 w,int32 h,byte *buffer);
//#line "text_lib.c" 326
extern void RestoreTextBackground(int32 x,int32 y,int32 w,int32 h,byte *buffer);
//#line "text_lib.c" 342
extern void DrawCharacter(int32 x,int32 y,int32 ch,int32 foreground,int32 background);
//#line "text_lib.c" 363
extern int32 DrawString(int32 x,int32 y,char *string,int32 foreground,int32 background);
//#line "text_lib.c" 403
extern void DrawBlankLine(int32 x,int32 y,int32 w,int32 foreground,int32 background);
//#line "text_lib.c" 423
extern void GetCharacter(int32 x,int32 y,int32 *ch,int32 *foreground,int32 *background);
//#line "text_lib.c" 446
extern void BlockSize(char *block,int32 *width,int32 *height);
//#line "text_lib.c" 487
extern boolean NextStringInBlock(char *block,int32 *length);
